Edit loan document

This request edits a loan document.

   Click here to learn more about this request

Loan documents are often used in lending to keep copies of a borrower's loan agreement and more. Note the following when using this request:

This request edits the information of a specific customer document saved within the account.

You will need to know the ID of the document, and this ID is not found in the UI. Use the GET all loan documents request to find a document's ID.

Loan documents differ from customer documents, but the two differ only in where they are saved. Thus, the two types of documents use different endpoints.

For an example of how loan documents work within the UI, take a look at our Loan Documents article.

Database

For information on loan document database tables, see the following articles:

Database – Loan Document Entity (loan_document_entity)

Database – Loan Table (loan_entity)

{
     "sectionId": 1,
     "fileName": "Updated Document",
     "active": 1,
     "archived": 0,
     "customerVisible": 1,
     "__id": 344,
     "__update": true
}
Path Params
int32
required

This is the ID of the document.

Body Params
int32

This is the ID of the "section"—or category—that the document is filed under.
>These values are found under Settings > Loan > Labeling > Document Sections.

string

This is the name of the file attached.

int32
Defaults to 1

This determines whether the document is active.

int32
Defaults to 0

This determines if the document has been archived.

int32
Defaults to 1

This determines whether the document is visible to the customer on the Customer Website.

int32

This is the ID of the document.

boolean
Defaults to true

Set this to true to update the loan document.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json